Sessions
GET
/v1/sessions/{sessionId}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
sessionId*string
Session id returned by POST /v1/sessions.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sessions/sess_123e4567-e89b-12d3-a456-426614174000"{
"success": true,
"session": {
"id": "string",
"status": "active",
"closeReason": "closed",
"createdAt": "2019-08-24T14:15:22Z",
"startedAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"closedAt": "2019-08-24T14:15:22Z",
"durationSeconds": 0,
"billedCredits": 0,
"actionCount": 0,
"actionSuccessCount": 0,
"actionErrorCount": 0,
"actionBreakdown": {
"property1": {
"total": 0,
"success": 0,
"error": 0
},
"property2": {
"total": 0,
"success": 0,
"error": 0
}
},
"options": {
"maxTtlSeconds": 0,
"proxy": true,
"bypassBotDetection": true
}
}
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}{
"success": false,
"error": "string"
}Create a browser session POST
Creates a stateful browser session on the handling Capture API instance. The session is automatically closed when its TTL expires. Billable sessions charge 1 credit per elapsed minute, rounded up. Each user can have up to 5 active sessions at a time.
Close a browser session DELETE
Closes an active session and charges duration credits once. Repeated close requests for an already-finalized session are idempotent.